Changes between Version 2 and Version 3 of InstallingLibtrace


Ignore:
Timestamp:
07/29/10 15:00:24 (11 years ago)
Author:
salcock
Comment:

Mention the llvm stuff on the installation page

Legend:

Unmodified
Added
Removed
Modified
  • InstallingLibtrace

    v2 v3  
    88
    99Highly Recommended Software:
    10  * zlib-dev
     10 * zlib-dev (will enable gzip compression and decompression)
    1111
    1212Optional Software:
    13  * DAG 2.4 or 2.5 libraries (required if you wish to capture using a DAG card)
     13 * DAG libraries (required if you wish to capture using a DAG card)
     14 * llvm-dev, llvm-gcc-4.2 and libboost-dev (required for using the BPF-JIT code)
     15 * libbz2-dev (will enable bzip compression and decompression)
     16 * liblzo2-dev (will enable lzo compression)
    1417 
    1518== Compiling and Installing Libtrace ==
     
    2326Other configuration options, if required, can be viewed by running ./configure --help.
    2427
     28The BPF-JIT functionality is disabled by default - you will need to add --with-llvm to your configure line to enable it. Note that you will require llvm-dev, llvm-gcc-4.2 and libboost-dev.
     29Even then, it may not work if these (particularly llvm-gcc-4.2) have been installed in unexpected locations.
     30
    2531Following installation, you may need to add the line '/usr/local/lib' to your /etc/ld.so.conf and run 'ldconfig' as root.